Synnefo - Bug # 241

Status: Closed Priority: High

Author: Vangelis Koukis Category: Cyclades Ul
Subject: To GUI nepvdel AdBog imageld

Description

‘EBaAa fixtures yia To povtelo Image, evieAwg aveEdptnta amnd To povteho VirtualMachine (commit f53a9423)
Ou TEg ya to imageld Eekwvave and 3. To GUI Bydlel kavovikd ta images wg "public”, yiati sourcevm == NULL,
aAAd dtav €pbel n wpa va kdvel to POST /servers call ta apBuel Aavbaougva, and to 1.

Ondte ptdvel €va POST call:
ERROR:synnefo.api.handlers:Malformed create request: Image matching query does not exist. -

{"server":{"name":"image-name","imageld":1,"flavorld":14,"metadata":{"My Server Name":"My Debian Unstable server"}}}
[03/Mar/2011 09:43:52] "POST /api/v1.0/servers HTTP/1.1" 400 108

TIou TpWeL TIOPTA, YlaTi metdel Exception n "image = Image.objects.get(id=imageld)".
Mpenet va aA\dEel To GUI, woTe yla kdbe image va Bupdtat amnd moto imageld €xel mpokUyet.

Mpégnet va eheyxBel 0Tt kat yla ta flavors Aettoupyel owotd, 1L KL ekel dnAadr Bupdtal Tnv avtiotowia flavor-flavorld, ywati ta
flavorld umopel va pnv &ekivdve and to 1.

Related issues:
related to Synnefo - Feature # 177: KArjon tou RS API yia VM management Closed 01/25/2011

History

#1 - 03/05/2011 05:19 pm - Christos Psaltis
- Status changed from Assigned to Feedback

OAa evtd&el kal pe ta flavorlds kat pe ta imagelds

#2 - 03/08/2011 05:59 pm - Vangelis Koukis
- Status changed from Feedback to Closed

AuTO Aettoupyel evtdEel, To KAElVw.
